Name:           minitube
Version:        1.1
Release:        3%{?dist}
Summary:        A YouTube desktop client

Group:          Applications/Multimedia
License:        GPLv3+ and LGPLv2+
URL:            http://flavio.tordini.org/minitube
Source0:        http://flavio.tordini.org/files/minitube/minitube-1.1.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%{?_qt4_version:Requires: qt4 >= %{_qt4_version}}

BuildRequires:  qt-devel, phonon-devel, desktop-file-utils
Requires:       hicolor-icon-theme

%description
Minitube is a YouTube desktop client.
With it you can watch YouTube videos in a new way:
you type a keyword, Minitube gives you an endless video stream.
Minitube is not about cloning the original YouTube web interface,
it aims to create a new TV-like experience.

%prep
%setup -q -n %{name}
# Fix spurious-executable-perm
chmod -x src/*{h,cpp}

%build
%{_qt4_qmake} PREFIX=%{_prefix}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install INSTALL_ROOT=%{buildroot}

desktop-file-install \
  --dir=%{buildroot}%{_datadir}/applications/ \
  --delete-original \
        %{buildroot}%{_datadir}/applications/%{name}.desktop

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING LICENSE.LGPL CHANGES TODO INSTALL
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/512x512/apps/%{name}.png
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/22x22/apps/%{name}.png
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/%{name}/locale/*.qm

%changelog
* Wed Aug 04 2010 Magnus Tuominen <magnus.tuominen@gmail.com> - 1.1-3
- add %%post %%postun %%posttrans as suggested by Leigh Scott
- validate desktop file
- remove Req: xine-lib-extras-freeworld
- add Req: desktop-file-utils

* Wed Aug 04 2010 Magnus Tuominen <magnus.tuominen@gmail.com> - 1.1-2
- add Req: xine-lib-extras-freeworld

* Sun Aug 01 2010 Magnus Tuominen <magnus.tuominen@gmail.com> - 1.1-1
- initial build
